%define name sip
%define version 3.0
%define release 3mdk
%define py_ver 2.2

%define major 7
%define libname lib%{name}%{major}

Summary: Python bindings generator for C++ class libraries.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL-like
Group: Development/Python
Source: %{name}-%{version}.tar.bz2
URL: http://www.thekompany.com/projects
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython%{py_ver}-devel
Requires: python = %{py_ver}

%description
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.

%package -n %{libname}
Summary: Python bindings generator for C++ class libraries.
Group: System/Libraries
Provides: %{name} = %{version}

%description -n %{libname}
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.

%package -n %{libname}-devel
Summary: Libraries and include files for developing.
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}

%description -n %{libname}-devel
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/sip

%files -n %{libname}-devel
%defattr(-, root, root, 755)
%{_includedir}/sip/sip.h
%{_includedir}/sip/sipQt.h
%{_libdir}/libsip.a
%{_libdir}/libsip.la
%{_libdir}/libsip.so

%files -n %{libname}
%defattr(-, root, root, 755)
%{_libdir}/*.so.*

%changelog
* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0-3mdk
- merge with  RA <ralf_ahlbrink@web.de> mods :
	- added BuildRequires: libpython2.2-devel

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 3.0-1mdk
- version 3.0 (lib major 7)

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 2.5-2mdk
- rebuild against libpng3
- %%makeinstall_std
- std %%build step (macros..)
- added %%dir %%{_includedir}/sip in -devel package

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-3mdk
- fixed some errors in spec file (sorry, my first package)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-2mdk
- fixed the Python dependency (>= 2.0 instead of = 2.0)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to version 2.4

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3-2mdk
- Rebuild against Qt 2.3.0

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- updated to 2.3

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
        - built on Mandrake-7.2 following Mandrake RPM guidelines


